Package com.enonic.xp.portal.handler

## Class ControllerHandlerWorker

- java.lang.Object
- - com.enonic.xp.portal.handler.PortalHandlerWorker<PortalRequest>
  - - com.enonic.xp.portal.handler.ControllerHandlerWorker

-     @Deprecated
      public abstract class ControllerHandlerWorker
      extends PortalHandlerWorker<PortalRequest>

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ContentService` | `contentService` | Deprecated.

    - ### Fields inherited from class com.enonic.xp.portal.handler.PortalHandlerWorker

      `request`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControllerHandlerWorker​(PortalRequest request)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Content` | `getContent​(String contentSelector)` | Deprecated.
    `protected Content` | `getContentOrNull​(String contentSelector)` | Deprecated.
    `protected String` | `getContentSelector()` | Deprecated.
    `protected Site` | `getSite​(Content content)` | Deprecated.
    `protected Site` | `getSiteOrNull​(Content content)` | Deprecated.
    `void` | `setContentService​(ContentService contentService)` | Deprecated.

    - ### Methods inherited from class com.enonic.xp.portal.handler.PortalHandlerWorker

      `execute, forbidden, notFound, setResponseCacheable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contentService

          protected ContentService contentService

      Deprecated.

  - ### Constructor Detail

    - #### ControllerHandlerWorker

          public ControllerHandlerWorker​(PortalRequest request)

      Deprecated.

  - ### Method Detail

    - #### getContentSelector

          protected final String getContentSelector()

      Deprecated.

    - #### getContent

          protected final Content getContent​(String contentSelector)

      Deprecated.

    - #### getContentOrNull

          protected final Content getContentOrNull​(String contentSelector)

      Deprecated.

    - #### getSite

          protected final Site getSite​(Content content)

      Deprecated.

    - #### getSiteOrNull

          protected final Site getSiteOrNull​(Content content)

      Deprecated.

    - #### setContentService

          public final void setContentService​(ContentService contentService)

      Deprecated.